Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.service.impl.utility.model
Class Graph

    java.lang.Object
      kieker.webgui.service.impl.utility.model.Graph

    public class Graph

extends Object

This class represents the whole graph that needs to be layouted. Contains lists of all `Node`s and `Edge`s as well as a general scaling factor that determines the size and distance between ports.

Author:
  Robin Weiss, Florian Fittkau

Field Summary
`static String` | `EDGE_ROUTING`
`static boolean` | `LAYOUT_HIERARCHY`
`static String` | `PORT_CONSTRAINTS`

Constructor Summary
`Graph(int scale)` Class constructor.

Method Summary
`void` | `addEdge(Edge edge)` Adds an `Edge` to the list of `Edge`s.
`void` | `addNode(Node node)` Adds a `Node` to the list of `Node`s.
`static String` | `getEdgeRouting()`
`List<Edge>` | `getEdges()`
`de.cau.cs.kieler.core.kgraph.KNode` | `getKielerGraph()`
`Node` | `getNode(String id)` Looks for a `Node` with a specific id in the list of `Node`s.
`List<Node>` | `getNodes()`
`static String` | `getPortConstraints()`
`int` | `getPortHeight()`
`static boolean` | `isLayoutHierarchy()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EDGE_ROUTING

    public static final String EDGE_ROUTING

See Also:
  Constant Field Values

### LAYOUT_HIERARCHY

    public static final boolean LAYOUT_HIERARCHY

See Also:
  Constant Field Values

### PORT_CONSTRAINTS

    public static final String PORT_CONSTRAINTS

See Also:
  Constant Field Values

Constructor Detail

### Graph

    public Graph(int scale)

  Class constructor. Creates empty lists for future `Node`s and `Edge`s, and a parent `KNode` for all added nodes.

  Parameters:
    `scale` - the scaling factor for ports

Method Detail

### addNode

    public void addNode(Node node)

  Adds a `Node` to the list of `Node`s.

  Parameters:
    `node` - the added node

### addEdge

    public void addEdge(Edge edge)

  Adds an `Edge` to the list of `Edge`s.

  Parameters:
    `edge` - the added edge

### getEdgeRouting

    public static String getEdgeRouting()

### isLayoutHierarchy

    public static boolean isLayoutHierarchy()

### getPortConstraints

    public static String getPortConstraints()

### getPortHeight

    public int getPortHeight()

### getKielerGraph

    public de.cau.cs.kieler.core.kgraph.KNode getKielerGraph()

### getNodes

    public List<Node> getNodes()

### getEdges

    public List<Edge> getEdges()

### getNode

    public Node getNode(String id)

  Looks for a `Node` with a specific id in the list of `Node`s.

  Parameters:
    `id` - the id string of a node
  Returns:
    the `Node` if it exists, or null if it does not exist

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.